Bug 499263 - ipa host-find returns 0 on error: No entries found
ipa host-find returns 0 on error: No entries found
Status: CLOSED UPSTREAM
Product: freeIPA
Classification: Community
Component: ipa-admintools (Show other bugs)
2.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rob Crittenden
Chandrasekar Kannan
:
Depends On:
Blocks: 431020
  Show dependency treegraph
 
Reported: 2009-05-05 16:54 EDT by Jenny Galipeau
Modified: 2015-01-04 18:38 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-28 05:29:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jenny Galipeau 2009-05-05 16:54:55 EDT
Description of problem:


[root@jennyv2 jenny]# ipa host-find badhost.bos.redhat.com
No entries found
[root@jennyv2 jenny]# echo $?
0

All other host commands return 161

[root@jennyv2 jenny]# ipa host-mod badhost.bos.redhat.com
ipa: ERROR: entry not found
[root@jennyv2 jenny]# echo $?
161


Version-Release number of selected component (if applicable):
2.0

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Pavel Zuna 2009-11-23 08:06:17 EST
Exit code non-zero; reported as 0 hosts matched.

master: 322d8238a0862355340e1ad9a464bd40f6e9b728
All-around improvements to baseldap.py classes.

Note You need to log in before you can comment on or make changes to this bug.